DATE(1)

NAMN
date — skriv ut eller sätt systemdatum och -tid

SYNOPSIS
date [FLAGGA]... [+FORMAT]
date [-u|--utc|--universal] [MMDDhhmm[[ÅÅ]ÅÅ][.ss]]

BESKRIVNING

Visa datum och tid med angivet FORMAT. Med -s, eller med [MMDDhhmm[[ÅÅ]ÅÅ][.ss]], ställ in datum och tid.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-d, --date=STRÄNG
    Visa tiden som beskrivs av STRÄNG, inte ”nu”.

--debug
    Annotera det tolkade datumet, och varna för tveksam användning till standard fel.

-f, --file=DATUMFIL
    som --date; en gång för varje rad i DATUMFIL.

-I[FMT], --iso-8601[=FMT]
    Skriv ut datum/tid i ISO 8601-format. FMT=”date” för endast datum (standard), ”hours”, ”minutes”, ”seconds”, eller ”ns” för datum och tid med den angivna precisionen. Exempel: 2006-08-14T02:34:56+01:00.

--resolution
    skriv ut den tillgängliga upplösningen på tidsstämplar Exempel: 0.000000001

-R, --rfc-email
    Skriv ut tid och datum enligt formatet RFC 5322. Exempel: Mon, 14 Aug 2006 10:34:56 +0200.

--rfc-3339=FMT
    Skriv ut tid och datum enligt formatet RFC 3339. FMT=”date”, ”seconds” eller ”ns” för tid och datum med angiven precision. Exempel: 2006-08-14 10:34:56+02:00.

-r, --reference=FIL
    Visa den tidpunkt då FIL senast modifierades.

-s, --set=STRÄNG
    Sätt tiden som den beskrivs av STRÄNG.

-u, --utc, --universal
    Visa eller sätt koordinerad universell tid (UTC).

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

FORMAT styr utskriften. Tolkade sekvenser är:

%%  ett literalt %

%a  lokalens förkortade veckodagsnamn (t.ex. sön)

%A  lokalens fullständiga veckodagsnamn (t.ex. söndag)

%b  lokalens förkortade månadsnamn (t.ex. jan)

%B  lokalens fullständiga månadsnamn (t.ex. januari)

%c  lokalens dag och tid (t.ex. ons 5 okt 2005 22.02.05)

%C  århundrade, som %Y, fast utelämna de sista två siffrorna (t.ex. 20)

%d  dag i månad (t.ex., 01)

%D  datum, samma som %m/%d/%y

%e  dag i månad, blankutfyllt, samma som %_d

%F  fullständigt datum, samma som %+4Y-%m-%d

%g  de sista två siffrorna i året för ISO-veckonumret (se %G)

%G  året motsvarande ISO-veckonumret (se %V), normalt användbart endast med %V

%h  samma som %b

%H  timme (00..23)

%I  timme (01..12)

%j  dag på året (001-366)

%k  timme, blankutfyllt ( 0-23); samma som %_H

%l  timme, blankutfyllt ( 1-12); samma som %_I

%m  månad (01-12)

%M  minut (00..59)

%n  en ny rad

%N  nanosekunder (000000000..999999999)

%p  lokalens FM- eller EM-indikator (tom i många lokaler)

%P  lokalens fm- eller em-indikator (tom i många lokaler)

%q  kvartal av året (1..4)

%r  lokalens tid, 12-timmars (t.ex. 10:04:26)

%R  24-timmars timme och minut, samma som %H:%M

%s  sekunder sedan Epoken (1970-01-01 00.00 UTC)

%S  sekunder (00..60)

%t  en tabulator

%T  tid, samma som %H:%M:%S

%u  dag i veckan (1-7), 1 är måndag

%U  veckonummer, med söndag som första dag i veckan (00-53)

%V  ISO-veckonummer, med måndag som första dag i veckan (01-53)

%w  veckodag (0-6); 0 är söndag

%W  veckonummer, med måndag som första dag i veckan (00-53)

%x  lokalens datumrepresentation (t.ex. 2005-10-06)

%X  lokalens tidrepresentation (t.ex 23.43.02)

%y  sista två siffrorna i årtalet (00-99)

%Y  år

%z  +hhmm numerisk tidszon (t.ex., -0400)

%:z +hh:mm numerisk tidszon (t.ex., -04:00)

%::z
    +hh:mm:ss numerisk tidszon (t.ex., -04:00:00)

%:::z
    numerisk tidszon med : som behövs för precisionen (t.ex., -04, +05:30)

%Z  alfabetisk tidszonsförkortning (t.ex., CET)

Normalt fyller date ut numeriska fält med nollor. Följande frivilliga flaggor kan komma efter ”%”:

-   (bindestreck) fyll inte ut fältet

_   (understrykning) fyll ut med blanksteg

0   (noll) fyll ut med nollor

+   fyll ut med nollor, och skriv ut ”+” före framtida år med >4 siffror

^   använd versaler om möjligt

#   använd motsatt skiftläge om möjligt

Efter eventuella flaggor följer en valfri fältbredd, som ett decimalt tal, sedan en valfri modifierare, som är antingen E för att använda lokalens alternativa representationer om tillgängliga, eller O för att använda lokalens alternativa numeriska symboler om tillgängliga.

EXEMPEL
Konvertera sekunder sedan Epoken (1970-01-01 UTC) till ett datum

    $ date --date='@2147483647'

Visa tiden i Helsingfors i Finland (använd tzselect(1) för att hitta TZ)

    $ TZ='Europe/Helsinki' date

Visa den lokala tiden för klockan 9 nästa fredag i Helsingfors i Finland

    $ date --date='TZ="Europe/Helsinki" 09:00 next Fri'

DATUMSTRÄNG
Strängen i --date=STRÄNG är en i mänskligt läsbar engelsk datumsträng i huvudsak i fritt format såsom ”Sun, 29 Feb 2004 16:21:42 +0100” eller ”2004-02-29 16:21:42” eller till och med ”next Thursday”. En datumsträng kan innehålla poster som indikerar kalenderdatum, tid på dagen, tidszon, dag i veckan, relativ tid, relativt datum och tal. En tom sträng indikerar början på dagen. Datumsträngformatet är mer komplext än som enkelt kan dokumenteras här men är helt beskrivet i info-dokumentationen.

UPPHOVSMAN
Skrivet av David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/date>
eller tillgängligt lokalt via: info '(coreutils) date invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.